### Name: applyByCategory
### Title: Apply a function to a vector of statistics, by category
### Aliases: applyByCategory
### Keywords: manip

### ** Examples

 set.seed(0xabcd)
 st = rnorm(20)

 a = matrix(sample(c(FALSE, TRUE), 60, replace=TRUE), nrow=3)
 rownames(a) = paste("category", 1:3, sep="")
 colnames(a) = names(st) = paste("g", 1:20, sep="")

 sa = Matrix(a) ## sparse

 k1 = applyByCategory(st, a, median)
 k2 = applyByCategory(st, sa, median)

 stopifnot(identical(k2, k1))



