### Name: cateGOry
### Title: Construct a category membership matrix from a list of gene
###   identifiers and their annotated GO categories.
### Aliases: cateGOry
### Keywords: manip

### ** Examples

  g = cateGOry(c("CG2671", "CG2671", "CG2950"),
               c("GO:0000074", "GO:0001738", "GO:0003676"))
  g

  rownames(g)
  colnames(g)
  rowSums(g)   ## number of genes in each category

  ## Filter out categories with less than minMem members.
  ## This is toy data, in real applications, a number higher
  ## than 2 will be more appropriate.
  minMemb = 2
  g[rowSums(g)>=minMemb,,drop=FALSE ]



